Subject: Re: [PATCH bpf-next v2 4/5] tools: Sync if_link.h uapi tooling header

From: Martin KaFai Lau <[email-masked]>
Date: Mon, 7 Oct 2024 18:36:16 -0700

On 10/5/24 9:02 AM, Stephen Hemminger wrote:
> On Fri,  4 Oct 2024 12:13:34 +0200
> Daniel Borkmann <[email-masked]> wrote:
> 
>> Sync if_link uapi header to the latest version as we need the refresher
>> in tooling for netkit device. Given it's been a while since the last sync
>> and the diff is fairly big, it has been done as its own commit.
>>
>> Signed-off-by: Daniel Borkmann <[email-masked]>
> 
> It would be good to have a script to do this automatically, similar
> to the 'make headers_install'. I use one for iproute and do it every kernel rc.

would be nice not having to sync the if_link.h uapi header. I think it
would be even better if it can directly use the headers installed by
'make headers_install'. There was an earlier attempt to use $(KHDR_INCLUDES),
may be some of the ideas can be reused. I think there is another parallel
effort to do this also: https://lore.kernel.org/bpf/[email-masked]/

This uapi header improvement will probably need a separate effort/followup.